# eric6.Plugins.WizardPlugins.EricPluginWizard.PluginWizardDialog

Module implementing the eric plug-in wizard dialog.

### Global Attributes

None

### Classes

PluginWizardDialog | Class implementing the eric plug-in wizard dialog.

### Functions

None

## PluginWizardDialog

Class implementing the eric plug-in wizard dialog.

### Derived from

QDialog, Ui_PluginWizardDialog

### Class Attributes

None

### Class Methods

None

### Methods

PluginWizardDialog | Constructor
__enableOkButton | Private slot to set the state of the OK button.
getCode | Public method to get the source code.
on_pluginTypeCombo_currentTextChanged | Private slot to react upon the selection of a plug-in type.
on_projectButton_clicked | Private slot to populate some fields with data retrieved from the current project.
packageName | Public method to retrieve the plug-in package name.

### Static Methods

None

#### PluginWizardDialog (Constructor)

PluginWizardDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### PluginWizardDialog.__enableOkButton

__enableOkButton()

Private slot to set the state of the OK button.

#### PluginWizardDialog.getCode

getCode()

Public method to get the source code.

Returns:
  generated code (string)

#### PluginWizardDialog.on_pluginTypeCombo_currentTextChanged

on_pluginTypeCombo_currentTextChanged(txt)

Private slot to react upon the selection of a plug-in type.

txt
  selected plug-in type (string)

#### PluginWizardDialog.on_projectButton_clicked

on_projectButton_clicked()

Private slot to populate some fields with data retrieved from the current project.

#### PluginWizardDialog.packageName

packageName()

Public method to retrieve the plug-in package name.

Returns:
  plug-in package name (string)

Up